aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libmatroska/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/libmatroska/APKBUILD')
-rw-r--r--testing/libmatroska/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/libmatroska/APKBUILD b/testing/libmatroska/APKBUILD
new file mode 100644
index 0000000000..d0112705d7
--- /dev/null
+++ b/testing/libmatroska/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=libmatroska
+pkgver=1.3.0
+pkgrel=0
+pkgdesc="a C++ library to parse Matroska files"
+url="http://www.matroska.org/"
+arch="all"
+license="LGPL"
+depends=""
+depends_dev="libebml-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://dl.matroska.org/downloads/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make -C make/linux
+}
+
+package() {
+ cd "$_builddir"
+ make -C make/linux install prefix="$pkgdir/usr"
+}
+
+md5sums="f4a8c411f09d39c754eb726efd616043 libmatroska-1.3.0.tar.bz2"